Bug 607290 - Rebuild libvirt-qpid to synchronize with MRG 1.3
Summary: Rebuild libvirt-qpid to synchronize with MRG 1.3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt-qpid
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Ian Main
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 604173
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 17:36 UTC by Suzanne Yeghiayan
Modified: 2010-11-10 21:06 UTC (History)
8 users (show)

(edit)
Clone Of: 604173
(edit)
Last Closed: 2010-11-10 21:06:00 UTC


Attachments (Terms of Use)

Description Suzanne Yeghiayan 2010-06-23 17:36:55 UTC
+++ This bug was initially created as a clone of Bug #604173 +++

Created an attachment (id=424175)
Complete list of patches for MRG 1.3

There are a number of bugfixes that have been put into MRG 1.3 (see attachment for full list). Because of tight coupling between the MRG product line and the broker/client libraries in RHEL-6, everything is built together. Many (but not all) of the fixes listed directly affect these RHEL-6 core libraries.

One of these patches (qpid 0010, marked with an asterisk) was included in the last REHL-6 build (as it fixed a compatibility problem which prevented libvert from building).

--- Additional comment from pm-rhel@redhat.com on 2010-06-15 10:53:08 EDT ---

This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

--- Additional comment from apevec@redhat.com on 2010-06-19 08:23:26 EDT ---

(In reply to comment #0)
> There are a number of bugfixes that have been put into MRG 1.3 (see attachment
> for full list). Because of tight coupling between the MRG product line and the
> broker/client libraries in RHEL-6, everything is built together.

Looks like you missed to rebuild libvirt-qpid:
libvirt-qpid-0.2.21-1.el6.x86_64 requires libqpidclient.so.2()(64bit)

--- Additional comment from apevec@redhat.com on 2010-06-19 10:39:12 EDT ---

(In reply to comment #2)
> Looks like you missed to rebuild libvirt-qpid:
> libvirt-qpid-0.2.21-1.el6.x86_64 requires libqpidclient.so.2()(64bit)    

Rebuilt, libvirt-qpid-0.2.21-2.el6 requires libqpidclient.so.3()(64bit)

Comment 3 Alex Jia 2010-07-08 05:40:53 UTC
The bug has been fixed on RHEL6-beta with libvirt-qpid-0.2.21-2.el6.${arch}.rpm.


# rpm -qRp libvirt-qpid-0.2.21-2.el6.i686.rpm | grep libqpidclient
libqpidclient.so.3  

# rpm -qRp libvirt-qpid-0.2.21-2.el6.x86_64.rpm | grep libqpidclient
libqpidclient.so.3()(64bit) 


# cat /etc/redhat-release 
Red Hat Enterprise Linux release 6.0 Beta (Santiago)
# uname -a
Linux dhcp-66-70-128.nay.redhat.com 2.6.32-37.el6.x86_64 #1 SMP Sun Jun 20 19:29:35 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

Comment 4 Alex Jia 2010-09-09 12:48:57 UTC
The bug has been verified with libvirt-qpid-0.2.22-3.el6.x86_64 on RHEL6.0 RC(2.6.32-71.el6.x86_64).

# uname -a
Linux dhcp-66-92-184.nay.redhat.com 2.6.32-71.el6.x86_64 #1 SMP Wed Sep 1 01:33:01 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.0 (Santiago)

# rpm -q libvirt-qpid
libvirt-qpid-0.2.22-3.el6.x86_64

# rpm -qRp libvirt-qpid-0.2.22-3.el6.x86_64.rpm | grep libqpidclient
libqpidclient.so.3()(64bit)

Comment 5 releng-rhel@redhat.com 2010-11-10 21:06:00 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.